ThirdMVCAppMy/Models/OrderBasket/OrderBasketDetailsModel.cs
using System.ComponentModel.DataAnnotations;

namespace ThirdMVCAppMy.Models.OrderBasket
{
    public class OrderBasketDetailsModel
    {
        public int DishId { get; set; }

        [Display(Name = "Название блюда")]
        public string Name { get; set; }

        [Display(Name = "Описание")]
        public string Description { get; set; }

        [Display(Name = "Ресторан")]
        public string RestaurantName { get; set; }

        [Display(Name = "Цена")]
        public decimal Price { get; set; }

        [Display(Name = "Кол-во")]
        public int Qty { get; set; }

        [Display(Name = "Сумма")]
        public decimal TotalAmountDish { get; set; }
    }
}

ThirdMVCAppMy/Models/OrderBasket/OrderBasketModel.cs
using System;
using System.ComponentModel.DataAnnotations;

namespace ThirdMVCAppMy.Models.OrderBasket
{
    public class OrderBasketModel
    {
        public int Id { get; set; }

        [Display(Name = "Пользователь")]
        public string UserName { get; set; }

        public string DishBasket { get; set; }

        [Display(Name = "Дата заказа")]
        public DateTime CreatedOrder { get; set; }

        [Display(Name = "Общая сумма заказа")]
        public decimal TotalAmount { get; set; }
    }
}

ThirdMVCAppMy/Controllers/OrderBasketController.cs
using System;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Identity;
using Microsoft.AspNetCore.Mvc;
using ThirdMVCAppMy.DAL.Entities;
using ThirdMVCAppMy.Services.OrderBaskets.Contracts;

namespace ThirdMVCAppMy.Controllers
{
    public class OrderBasketController : Controller
    {
        private readonly UserManager<User> _userManager;
        private readonly IOrderBasketService _orderBasketService;

        public OrderBasketController(UserManager<User> userManager, IOrderBasketService orderBasketService)
        {
            if (userManager == null)
                throw new ArgumentNullException(nameof(userManager));
            if (orderBasketService == null)
                throw new ArgumentNullException(nameof(orderBasketService));
            _userManager = userManager;
            _orderBasketService = orderBasketService;
        }

        [Authorize]
        [HttpGet]
        public async Task<IActionResult> Index()
        {
            User currentUser = await _userManager.GetUserAsync(User);
            var orderBasketModels = _orderBasketService.GetOrderBasketList(currentUser);
            return View(orderBasketModels);
        }

        [Authorize]
        [HttpGet]
        public IActionResult Details(int id)
        {
            var orderBucketDetails = _orderBasketService.GetDishOrderBasket(id);
            return View(orderBucketDetails);
        }
    }
}

ThirdMVCAppMy/Controllers/RestaurantController.cs
using System;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;
using ThirdMVCAppMy.Models.Restaurant;
using ThirdMVCAppMy.Services.Restaurans.Contracts;

namespace ThirdMVCAppMy.Controllers
{
    public class RestaurantController : Controller
    {
        private readonly IRestaurantService _restaurantService;

        public RestaurantController(IRestaurantService restaurantService)
        {
            if (restaurantService == null)
                throw new ArgumentNullException(nameof(restaurantService));

            _restaurantService = restaurantService;
        }


        [HttpGet]
        public IActionResult Index()
        {
            var model = _restaurantService.GetDishesModelsList();
            return View(model);
        }

        [Authorize]
        [HttpGet]
        public IActionResult CreateRestaurant()
        {
            return View();
        }

        [Authorize]
        [HttpPost]
        public IActionResult CreateRestaurant(RestaurantCreateModel model)
        {
            try
            {
                _restaurantService.CreateRestaurant(model);

                return RedirectToAction("Index");
            }
            catch (Exception ex)
            {
                return StatusCode(500, ex.Message);
            }
        }
    }
}

ThirdMVCAppMy/Views/OrderBasket/Details.cshtml
@model IEnumerable<ThirdMVCAppMy.Models.OrderBasket.OrderBasketDetailsModel>

@{
    ViewData["Title"] = "Details";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>Details</h1>

<p>
    
</p>
<table class="table">
    <thead>
        <tr>
           <th>
                @Html.DisplayNameFor(model => model.Name)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Description)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.RestaurantName)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Price)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Qty)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.TotalAmountDish)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model) 
{
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.Name)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Description)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.RestaurantName)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Price)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Qty)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.TotalAmountDish)
            </td>
            <td></td>
        </tr>
}
    </tbody>
</table>

<div>
    <a asp-controller="OrderBasket" asp-action="Index">Back to List Orders</a>
</div>

ThirdMVCAppMy/Views/OrderBasket/Index.cshtml
@model IEnumerable<ThirdMVCAppMy.Models.OrderBasket.OrderBasketModel>

@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

    <h1>Your orders</h1>

<p>
    
</p>
<table class="table">
    <thead>
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.UserName)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.CreatedOrder)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.TotalAmount)
        </th>
        <th></th>
    </tr>
    </thead>
    <tbody>
    @foreach (var item in Model) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.UserName)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.CreatedOrder)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.TotalAmount)
            </td>
            <td>
                <a asp-controller="OrderBasket" asp-action="Details" asp-route-id="@item.Id">Details</a>
            </td>
            <td></td>
        </tr>
    }
    </tbody>
</table>

<div>
    <a asp-controller="Restaurant" asp-action="Index">Back to List Restaurants</a>
</div>